Results 1 to 4 of 4

Thread: ROTATE PARALLEL

  1. #1
    Member
    Join Date
    2002-02
    Posts
    30
    Login to Give a bone
    0

    Default ROTATE PARALLEL

    Is there a simple lisp that would rotate text parallel to a polyline? If so what would it be?
    Larry

  2. #2
    AUGI Addict sinc's Avatar
    Join Date
    2004-02
    Location
    Colorado
    Posts
    1,986
    Login to Give a bone
    0

    Default Re: ROTATE PARALLEL

    That question doesn't mean anything. Polylines can curve.

    If you want to rotate text to align with THE TANGENT OF A POINT on a polyline, you can do THAT. There's no built-in routine to do it (I don't think), but you can write one. The vlax-curve-getFirstDeriv function will return the direction vector of the polyline at any given point. Simply convert the direction vector into an angle, and voila.

  3. #3
    All AUGI, all the time bbapties's Avatar
    Join Date
    2003-12
    Location
    Palm Harbor, FL
    Posts
    537
    Login to Give a bone
    0

    Default Re: ROTATE PARALLEL

    if you have express tools...

    try the command "torient"

  4. #4
    100 Club
    Join Date
    2005-05
    Location
    IL
    Posts
    101
    Login to Give a bone
    0

    Default Re: ROTATE PARALLEL

    Quote Originally Posted by engineering.28250
    Is there a simple lisp that would rotate text parallel to a polyline? If so what would it be?
    Larry
    Here's a button I use to create text parallel to a line or polyline, you pick a point on a line, enter text height then click a second point along the same line and then enter your text. You could probably modify it to do what you're looking for.

    ^C^C(setq a (getpoint "Insertion point: "));\text;J;BC;!a;\'cal;ang(a,nea);\\

    Good luck,

    Mike
    Last edited by Fillet Radius Zero; 2005-06-13 at 05:57 PM. Reason: wanted to subscribe to this forum

Similar Threads

  1. Rotate Project North does not rotate the Design Options
    By weston in forum Revit Architecture - General
    Replies: 5
    Last Post: 2009-11-05, 05:22 PM
  2. join rotate block at base point + rotate atribute??
    By killerdemaster in forum AutoLISP
    Replies: 0
    Last Post: 2008-01-14, 05:10 PM
  3. Can't rotate crop regions to rotate view
    By Wes Macaulay in forum Revit Architecture - General
    Replies: 11
    Last Post: 2005-02-07, 04:46 PM
  4. Add Attribute Rotate in ROTATE command
    By arshadmirza786 in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2005-01-12, 09:40 AM
  5. making a 'non-parallel to ucs' object parallel
    By KevinBarnett in forum VBA/COM Interop
    Replies: 0
    Last Post: 2004-11-12, 01:21 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •